Bug 812545 - USB stick shown in "Allowable Drives"
USB stick shown in "Allowable Drives"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-14 13:04 EDT by Kamil Páral
Modified: 2012-05-07 12:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 12:43:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda1.png (62.78 KB, image/png)
2012-04-14 13:04 EDT, Kamil Páral
no flags Details
anaconda2.png (81.26 KB, image/png)
2012-04-14 13:04 EDT, Kamil Páral
no flags Details
anaconda3.png (90.71 KB, image/png)
2012-04-14 13:05 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-04-14 13:04:10 EDT
Description of problem:
I install Fedora from a USB stick (sda) to a machine hard drive (vda). In a dialog I select USB stick to be "data storage device" and machine hard drive to be "install target device", see anaconda1.png. But later on I choose Custom layout and try to create a new PV partition. Anaconda by default lists and selects both my devices in "Allowable Drives" field, see anaconda2.png. If I hit continue, it complains, see anaconda3.png.

Now, why is the USB stick present in the Allowable Drives field, if I didn't mark it as "install target device"? Is that a bug? I don't understand why anaconda offers me that when I clearly said I don't want to install anything there.

The USB stick layout is also displayed in the partitioning screen (visible in the background of anaconda2.png or anaconda3.png). Again, should it be there when I didn't mark it as "install target device"?

Version-Release number of selected component (if applicable):
anaconda 17.20
F17 Beta

How reproducible:
always

Steps to Reproduce:
1. install from USB stick created by livecd-iso-to-disk
2. select only your hard drive as install target device
3. see usb stick displayed in partition layout editor and its dialogs
Comment 1 Kamil Páral 2012-04-14 13:04:54 EDT
Created attachment 577467 [details]
anaconda1.png
Comment 2 Kamil Páral 2012-04-14 13:04:58 EDT
Created attachment 577468 [details]
anaconda2.png
Comment 3 Kamil Páral 2012-04-14 13:05:02 EDT
Created attachment 577469 [details]
anaconda3.png
Comment 4 Erik Streb del Toro 2012-05-06 15:57:33 EDT
Same question and problem here.
Comment 5 David Lehman 2012-05-07 12:43:18 EDT
Install target device is for specification of disk set for automatic partitioning and for specification of boot drive for both automatic and custom partitioning. Once you enter the custom partitioning screen you will see all disks except for those you have told the installer to ignore using the filtering screens behind the "Specialized Storage Devices" option, regardless of your install target device selections. The idea is that if you are advanced enough to be doing custom partitioning you are also advanced enough to know not to create lvm partitions on your install media.

Note You need to log in before you can comment on or make changes to this bug.